﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;

namespace ChartIntegrationApplication.Web
{
	public partial class ChartUserControl : System.Web.UI.UserControl
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			// pass values to silverlight in HTML
			if (!string.IsNullOrEmpty(this.ChartTitle))
				Page.ClientScript.RegisterStartupScript(typeof(Page), "SLPROXY_TITLE", string.Format("setTitleValue('{0}');", this.ChartTitle), true);

			if (!string.IsNullOrEmpty(this.SeriesItemLabelFormat))
				Page.ClientScript.RegisterStartupScript(typeof(Page), "SLPROXY_FORMAT", string.Format("setFormatValue('{0}');", this.SeriesItemLabelFormat), true);

            if (!string.IsNullOrEmpty(this.AxisYLabelFormat))
                Page.ClientScript.RegisterStartupScript(typeof(Page), "SLPROXY_AXISFORMAT", string.Format("setAxisFormatValue('{0}');", this.AxisYLabelFormat), true);

		}

		public string ChartTitle
		{
			get;
			set;
		}

		public string SeriesItemLabelFormat
		{
			get;
			set;
		}

        public string AxisYLabelFormat
        {
            get;
            set;
        }
	}
}